# Update agent

This endpoint updates the agent.

Source: https://zild.ai/en-US/docs/api-reference/put-api-Agent-id

PUT `/Agent/{id}`

This endpoint updates the agent.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>path</code></td><td><code>integer · int32</code></td><td>Yes</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

**Content type:** `application/json` · **Schema:** `AgentDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable; maxLength: 500</td></tr><tr><td><code>agentType</code></td><td><code>AgentType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentFilesDtos</code></td><td><code>array&lt;AgentFilesDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>enabled</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>isChat</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>instructions</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>model</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>responseFormat</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>vectorStoreId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentAIType</code></td><td><code>AgentAIType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>temperature</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>topP</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>integrationAgentId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>language</code></td><td><code>Language</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>dynamicVariables</code></td><td><code>array&lt;AgentDynamicVariableDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dataCollection</code></td><td><code>array&lt;AgentDataCollectionDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>communicationChannel</code></td><td><code>CommunicationChannel</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>firstMessage</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable; maxLength: 1000</td></tr><tr><td><code>checklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>queueId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>voiceId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>voiceModel</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>voiceSpeed</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>voiceTemperature</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>volume</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>phoneNumberId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>phoneNumberType</code></td><td><code>PhoneNumberType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>customToolsIds</code></td><td><code>array&lt;string&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>builtInTools</code></td><td><code>BuiltInToolsDtos</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>maxDurationSeconds</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>elevenLabsReasoningEffort</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsMaxTokens</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>elevenLabsAsrProvider</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsTurnEagerness</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsSpellingPatience</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsTurnTimeout</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>elevenLabsSilenceEndCallTimeout</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>groupAgents</code></td><td><code>array&lt;GroupAgentDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>currentUserPermission</code></td><td><code>AgentPermissionType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentCategoryId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>logoIconUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable; maxLength: 2000</td></tr><tr><td><code>webhookIds</code></td><td><code>array&lt;integer · int32&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdByUserId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>ownedByUserId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>defaultQuestions</code></td><td><code>array&lt;string&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentKnowledgeIds</code></td><td><code>array&lt;integer · int32&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentSkillIds</code></td><td><code>array&lt;integer · int32&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>



## Example request



```
curl --request PUT \
  --url 'https://api.zild.ai/Agent/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "description": "string",
  "agentType": 0,
  "agentFilesDtos": [
    {
      "id": "string",
      "fileName": "string"
    }
  ],
  "enabled": true,
  "isChat": true,
  "instructions": "string",
  "model": "string",
  "responseFormat": "string",
  "vectorStoreId": "string",
  "agentAIType": 0,
  "temperature": 0,
  "topP": 0,
  "integrationAgentId": "string",
  "language": 0,
  "dynamicVariables": [
    {
      "id": 0,
      "name": "string",
      "value": "string",
      "agentId": 0
    }
  ],
  "dataCollection": [
    {
      "id": 0,
      "name": "string",
      "value": "string",
      "agentId": 0
    }
  ],
  "communicationChannel": 0,
  "firstMessage": "string",
  "checklistId": 0,
  "queueId": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "voiceId": "string",
  "voiceModel": "string",
  "voiceSpeed": 0,
  "voiceTemperature": 0,
  "volume": 0,
  "phoneNumberId": "string",
  "phoneNumberType": 0,
  "customToolsIds": [
    "string"
  ],
  "builtInTools": {
    "endCall": {
      "name": "string",
      "params": {
        "systemToolType": "string"
      }
    },
    "transferToNumber": {
      "name": "string",
      "params": {
        "transfers": [
          {
            "condition": null,
            "transferDestination": null,
            "transferType": null
          }
        ]
      }
    }
  },
  "maxDurationSeconds": 0,
  "elevenLabsReasoningEffort": "string",
  "elevenLabsMaxTokens": 0,
  "elevenLabsAsrProvider": "string",
  "elevenLabsTurnEagerness": "string",
  "elevenLabsSpellingPatience": "string",
  "elevenLabsTurnTimeout": 0,
  "elevenLabsSilenceEndCallTimeout": 0,
  "groupAgents": [
    {
      "id": 0,
      "groupId": 0,
      "agentId": 0,
      "permissionType": 0,
      "createdAt": "2026-09-22T18:00:00Z",
      "tenantId": 0
    }
  ],
  "currentUserPermission": 0,
  "agentCategoryId": 0,
  "logoIconUrl": "string",
  "webhookIds": [
    0
  ],
  "createdByUserId": 0,
  "ownedByUserId": 0,
  "defaultQuestions": [
    "string"
  ],
  "agentKnowledgeIds": [
    0
  ],
  "agentSkillIds": [
    0
  ]
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Successfully updated the agent</td><td><code>application/json</code> · <code>array&lt;AgentDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "agentType": 0,
    "agentFilesDtos": [
      {
        "id": "string",
        "fileName": "string"
      }
    ],
    "enabled": true,
    "isChat": true,
    "instructions": "string",
    "model": "string",
    "responseFormat": "string",
    "vectorStoreId": "string",
    "agentAIType": 0,
    "temperature": 0,
    "topP": 0,
    "integrationAgentId": "string",
    "language": 0,
    "dynamicVariables": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "agentId": 0
      }
    ],
    "dataCollection": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "agentId": 0
      }
    ],
    "communicationChannel": 0,
    "firstMessage": "string",
    "checklistId": 0,
    "queueId": 0,
    "createdAt": "2026-09-22T18:00:00Z",
    "voiceId": "string",
    "voiceModel": "string",
    "voiceSpeed": 0,
    "voiceTemperature": 0,
    "volume": 0,
    "phoneNumberId": "string",
    "phoneNumberType": 0,
    "customToolsIds": [
      "string"
    ],
    "builtInTools": {
      "endCall": {
        "name": "string",
        "params": {
          "systemToolType": "string"
        }
      },
      "transferToNumber": {
        "name": "string",
        "params": {
          "transfers": [
            null
          ]
        }
      }
    },
    "maxDurationSeconds": 0,
    "elevenLabsReasoningEffort": "string",
    "elevenLabsMaxTokens": 0,
    "elevenLabsAsrProvider": "string",
    "elevenLabsTurnEagerness": "string",
    "elevenLabsSpellingPatience": "string",
    "elevenLabsTurnTimeout": 0,
    "elevenLabsSilenceEndCallTimeout": 0,
    "groupAgents": [
      {
        "id": 0,
        "groupId": 0,
        "agentId": 0,
        "permissionType": 0,
        "createdAt": "2026-09-22T18:00:00Z",
        "tenantId": 0
      }
    ],
    "currentUserPermission": 0,
    "agentCategoryId": 0,
    "logoIconUrl": "string",
    "webhookIds": [
      0
    ],
    "createdByUserId": 0,
    "ownedByUserId": 0,
    "defaultQuestions": [
      "string"
    ],
    "agentKnowledgeIds": [
      0
    ],
    "agentSkillIds": [
      0
    ]
  }
]
```



## Data models

`AgentAIType`0 = AzureOpenAI; 1 = OpenAI; 2 = RetellAI; 3 = ElevenLabs; 4 = Lovable; 5 = n8n; 6 = Aws; 7 = MicrosoftCopilot; 8 = GoogleGemini; 9 = AnthropicClaude; 10 = Alteryx

`integer`

`AgentDataCollectionDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>value</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`AgentDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable; maxLength: 500</td></tr><tr><td><code>agentType</code></td><td><code>AgentType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentFilesDtos</code></td><td><code>array&lt;AgentFilesDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>enabled</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>isChat</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>instructions</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>model</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>responseFormat</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>vectorStoreId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentAIType</code></td><td><code>AgentAIType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>temperature</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>topP</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>integrationAgentId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>language</code></td><td><code>Language</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>dynamicVariables</code></td><td><code>array&lt;AgentDynamicVariableDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dataCollection</code></td><td><code>array&lt;AgentDataCollectionDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>communicationChannel</code></td><td><code>CommunicationChannel</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>firstMessage</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable; maxLength: 1000</td></tr><tr><td><code>checklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>queueId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>voiceId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>voiceModel</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>voiceSpeed</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>voiceTemperature</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>volume</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>phoneNumberId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>phoneNumberType</code></td><td><code>PhoneNumberType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>customToolsIds</code></td><td><code>array&lt;string&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>builtInTools</code></td><td><code>BuiltInToolsDtos</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>maxDurationSeconds</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>elevenLabsReasoningEffort</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsMaxTokens</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>elevenLabsAsrProvider</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsTurnEagerness</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsSpellingPatience</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>elevenLabsTurnTimeout</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>elevenLabsSilenceEndCallTimeout</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>groupAgents</code></td><td><code>array&lt;GroupAgentDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>currentUserPermission</code></td><td><code>AgentPermissionType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentCategoryId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>logoIconUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable; maxLength: 2000</td></tr><tr><td><code>webhookIds</code></td><td><code>array&lt;integer · int32&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdByUserId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>ownedByUserId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>defaultQuestions</code></td><td><code>array&lt;string&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentKnowledgeIds</code></td><td><code>array&lt;integer · int32&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentSkillIds</code></td><td><code>array&lt;integer · int32&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`AgentDynamicVariableDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>value</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`AgentFilesDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>fileName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`AgentPermissionType`0 = View; 1 = Edit

`integer`

`AgentType`0 = ZildAssist; 1 = ZildFlow; 2 = ZildInsightChat; 3 = ZildChat; 4 = ZildDocs; 5 = ZildVoice; 6 = ZildCoach; 7 = ZildInsightChecklist

`integer`

`BuiltInToolsDtos`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>endCall</code></td><td><code>EndCall</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>transferToNumber</code></td><td><code>TransferToNumber</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`CommunicationChannel`0 = Default; 1 = WhatsApp; 2 = Telefonia; 3 = Email; 4 = WebChat; 5 = InstagramDirectMessage; 6 = FacebookMessenger; 7 = MicrosoftTeams; 8 = ZildCoach

`integer`

`EndCall`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>params</code></td><td><code>EndCallParams</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`EndCallParams`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>systemToolType</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`GroupAgentDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>groupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>permissionType</code></td><td><code>AgentPermissionType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>tenantId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`Language`0 = PtBr; 1 = EnUS; 2 = EsES; 3 = FrFR; 4 = DeDE; 5 = ItIT; 6 = ZhCN; 7 = ZhTW; 8 = JaJP; 9 = KoKR; 10 = RuRU; 11 = ArSA; 12 = HiIN; 13 = NlNL; 14 = PlPL; 15 = TrTR; 16 = ViVN; 17 = ThTH; 18 = IdID; 19 = SvSE

`integer`

`PhoneNumberType`0 = Twilio; 1 = SipTrunk

`integer`

`TransferDestination`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>phoneNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>sipUri</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>type</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`TransferItem`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>condition</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>transferDestination</code></td><td><code>TransferDestination</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>transferType</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`TransferParams`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>transfers</code></td><td><code>array&lt;TransferItem&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`TransferToNumber`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>params</code></td><td><code>TransferParams</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
